cURL
curl --request GET \ --url https://api-{region}.sesametime.com/schedule/v1/vacation-configurations \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "employeeRequestEnabled": true, "needsValidation": true, "company": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "notificationEmail": "jsmith@example.com", "language": "<string>", "createdAt": "2020-01-01T10:00:00+01:00", "updatedAt": "2020-01-01T10:00:00+01:00" }, "maxDaysOff": 123, "isDefault": true, "notAllowedDateRanges": [ { "from": "<string>", "to": "<string>" } ], "creationDateNextYear": "<string>", "createdAt": "2020-01-01T10:00:00+01:00", "updatedAt": "2020-01-01T10:00:00+01:00", "deletedAt": "<string>" } ], "meta": { "currentPage": 1, "lastPage": 1, "total": 1, "perPage": 1 } }
Documentation IndexFetch the complete documentation index at: https://apidocs.sesametime.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Limit results
Request a specific page
Array of Objects
Show child attributes
Was this page helpful?
Suggestions